githubEdit

Customers

Endpoints related to customer profiles in Okendo

Customers

Look up a Customer's ID by email address

post
Authorizations
AuthorizationstringRequired
Body
emailstring · emailRequired

The email address of the Customer to look up.

Example: [email protected]
Responses
chevron-right
200

A Customer was found matching the provided email address.

application/json
customerIdstring · uuidOptional
post
/customer_lookup

Retrieve basic details about a Customer

get
Authorizations
AuthorizationstringRequired
Path parameters
customerIdstring · uuidRequired

The ID of the Customer to retrieve. Use the /customer_lookup endpoint to get the Customer's ID.

Responses
chevron-right
200

An object containing basic details about a Customer.

application/json
dateFirstActivestring · date-timeOptional

The date of the Customer's first action.

Example: 2022-01-18T02:21:20.380Z
dateLastActivestring · date-timeOptional

The date of the Customer's most recent action.

Example: 2023-02-14T04:34:21.390Z
emailstring · emailOptional

The email address of the customer.

Example: [email protected]
givenNamestringOptional

The given name of the customer. Often also known as the first name.

Example: Jane
familyNamestringOptional

The family name of the customer. Often also known as the last name.

Example: Smith
avatarUrlstring · uriOptional

The URL of the Customer's current avatar / profile picture.

Example: https://via.placeholder.com/160/1d2135/00eab6
get
/customers/{customerId}

List Customer Profiles and their included properties

get

A Customer Profile is a collection of data points (grouped by namespace) about a specific Customer.

Authorizations
AuthorizationstringRequired
Path parameters
customerIdstring · uuidRequired

The ID of the Customer to retrieve. Use the /customer_lookup endpoint to get the Customer's ID.

Query parameters
limitinteger · int32Optional

A limit on the number of items returned. Between 1 and 100. Default 25.

Example: 25
lastEvaluatedstringOptional

The URL-encoded JSON object representing the cursor for the next page of results.

namespacestringOptional

The identifier used to group Customer data. Specify this property to filter the Customer's profile data to a specific namespace.

Example: okendo-general
Responses
chevron-right
200

An object containing a list of Customer Profiles and a relative link to the next page of results if available.

application/json
nextUrlstring · uriOptional
get
/customers/{customerId}/profiles

List Customer Activities

get

A Customer Activity is an action that the Customer has taken or an action that relates to the Customer.

Authorizations
AuthorizationstringRequired
Path parameters
customerIdstring · uuidRequired

The ID of the Customer to retrieve. Use the /customer_lookup endpoint to get the Customer's ID.

Query parameters
limitinteger · int32Optional

A limit on the number of items returned. Between 1 and 100. Default 25.

Example: 25
lastEvaluatedstringOptional

The URL-encoded JSON object representing the cursor for the next page of results.

namespacestringOptional

The identifier used to group Customer data. Specify this property to filter the Customer's activities to a specific namespace.

Example: okendo-general
Responses
chevron-right
200

An object containing a list of Customer Activities and a relative link to the next page of results if available.

application/json
nextUrlstring · uriOptional
get
/customers/{customerId}/activities

Last updated